%   This script loads data into variables listed below,
%   then sorts them according to column name

subjects = {{'biceps_aa_cmep_cycle_12_seg', 'triceps_aa_cmep_cycle_12_seg'}, ...
    {'biceps_aa_cmep_cycle_3_seg', 'triceps_aa_cmep_cycle_3_seg'}, ...
    {'biceps_aa_cmep_cycle_6_seg', 'triceps_aa_cmep_cycle_6_seg'}, ...
    {'biceps_aa_cmep_iso_12_seg', 'triceps_aa_cmep_iso_12_seg'}, ...
    {'biceps_aa_cmep_iso_3_seg', 'triceps_aa_cmep_iso_3_seg'}, ...
    {'biceps_aa_cmep_iso_6_seg', 'triceps_aa_cmep_iso_6_seg'}, ...
    {'biceps_aa_mep_cycle_12_seg', 'triceps_aa_mep_cycle_12_seg'}, ...
    {'biceps_aa_mep_cycle_6_seg', 'triceps_aa_mep_cycle_6_seg'}, ...
    {'biceps_aa_mep_iso_12_seg', 'triceps_aa_mep_iso_12_seg'}, ...
    {'biceps_aa_mep_iso_6_seg', 'triceps_aa_mep_iso_6_seg'}, ...
    {'biceps_am_cmep_cycle_12_seg', 'triceps_am_cmep_cycle_12_seg'}, ...
    {'biceps_am_cmep_cycle_3_seg', 'triceps_am_cmep_cycle_3_seg'}, ...
    {'biceps_am_cmep_cycle_6_seg', 'triceps_am_cmep_cycle_6_seg'}, ...
    {'biceps_am_cmep_iso_12_seg', 'triceps_am_cmep_iso_12_seg'}, ...
    {'biceps_am_cmep_iso_3_seg', 'triceps_am_cmep_iso_3_seg'}, ...
    {'biceps_am_cmep_iso_6_seg', 'triceps_am_cmep_iso_6_seg'}, ...
    {'biceps_am_mep_cycle_12_seg', 'triceps_am_mep_cycle_12_seg'}, ...
    {'biceps_am_mep_cycle_6_seg', 'triceps_am_mep_cycle_6_seg'}, ...
    {'biceps_am_mep_iso_12_seg', 'triceps_am_mep_iso_12_seg'}, ...
    {'biceps_am_mep_iso_6_seg', 'triceps_am_mep_iso_6_seg'}, ...
    {'biceps_bh_cmep_cycle_12_seg', 'triceps_bh_cmep_cycle_12_seg'}, ...
    {'biceps_bh_cmep_cycle_3_seg', 'triceps_bh_cmep_cycle_3_seg'}, ...
    {'biceps_bh_cmep_cycle_6_seg', 'triceps_bh_cmep_cycle_6_seg'}, ...
    {'biceps_bh_cmep_iso_12_seg', 'triceps_bh_cmep_iso_12_seg'}, ...
    {'biceps_bh_cmep_iso_3_seg', 'triceps_bh_cmep_iso_3_seg'}, ...
    {'biceps_bh_cmep_iso_6_seg', 'triceps_bh_cmep_iso_6_seg'}, ...
    {'biceps_bh_mep_cycle_12_seg', 'triceps_bh_mep_cycle_12_seg'}, ...
    {'biceps_bh_mep_cycle_6_seg', 'triceps_bh_mep_cycle_6_seg'}, ...
    {'biceps_bh_mep_iso_12_seg', 'triceps_bh_mep_iso_12_seg'}, ...
    {'biceps_bh_mep_iso_6_seg', 'triceps_bh_mep_iso_6_seg'}, ...
    {'biceps_cg_cmep_cycle_12_seg', 'triceps_cg_cmep_cycle_12_seg'}, ...
    {'biceps_cg_cmep_cycle_3_seg', 'triceps_cg_cmep_cycle_3_seg'}, ...
    {'biceps_cg_cmep_cycle_6_seg', 'triceps_cg_cmep_cycle_6_seg'}, ...
    {'biceps_cg_cmep_iso_12_seg', 'triceps_cg_cmep_iso_12_seg'}, ...
    {'biceps_cg_cmep_iso_3_seg', 'triceps_cg_cmep_iso_3_seg'}, ...
    {'biceps_cg_cmep_iso_6_seg', 'triceps_cg_cmep_iso_6_seg'}, ...
    {'biceps_cg_mep_cycle_12_seg', 'triceps_cg_mep_cycle_12_seg'}, ...
    {'biceps_cg_mep_cycle_6_seg', 'triceps_cg_mep_cycle_6_seg'}, ...
    {'biceps_cg_mep_iso_12_seg', 'triceps_cg_mep_iso_12_seg'}, ...
    {'biceps_cg_mep_iso_6_seg', 'triceps_cg_mep_iso_6_seg'}, ...
    {'biceps_jd_cmep_cycle_12_seg', 'triceps_jd_cmep_cycle_12_seg'}, ...
    {'biceps_jd_cmep_cycle_3_seg', 'triceps_jd_cmep_cycle_3_seg'}, ...
    {'biceps_jd_cmep_cycle_6_seg', 'triceps_jd_cmep_cycle_6_seg'}, ...
    {'biceps_jd_cmep_iso_12_seg', 'triceps_jd_cmep_iso_12_seg'}, ...
    {'biceps_jd_cmep_iso_3_seg', 'triceps_jd_cmep_iso_3_seg'}, ...
    {'biceps_jd_cmep_iso_6_seg', 'triceps_jd_cmep_iso_6_seg'}, ...
    {'biceps_jd_mep_cycle_12_seg', 'triceps_jd_mep_cycle_12_seg'}, ...
    {'biceps_jd_mep_cycle_6_seg', 'triceps_jd_mep_cycle_6_seg'}, ...
    {'biceps_jd_mep_iso_12_seg', 'triceps_jd_mep_iso_12_seg'}, ...
    {'biceps_jd_mep_iso_6_seg', 'triceps_jd_mep_iso_6_seg'}, ...
    {'biceps_jg_cmep_cycle_12_seg', 'triceps_jg_cmep_cycle_12_seg'}, ...
    {'biceps_jg_cmep_cycle_3_seg', 'triceps_jg_cmep_cycle_3_seg'}, ...
    {'biceps_jg_cmep_cycle_6_seg', 'triceps_jg_cmep_cycle_6_seg'}, ...
    {'biceps_jg_cmep_iso_12_seg', 'triceps_jg_cmep_iso_12_seg'}, ...
    {'biceps_jg_cmep_iso_3_seg', 'triceps_jg_cmep_iso_3_seg'}, ...
    {'biceps_jg_cmep_iso_6_seg', 'triceps_jg_cmep_iso_6_seg'}, ...
    {'biceps_jg_mep_cycle_12_seg', 'triceps_jg_mep_cycle_12_seg'}, ...
    {'biceps_jg_mep_cycle_6_seg', 'triceps_jg_mep_cycle_6_seg'}, ...
    {'biceps_jg_mep_iso_12_seg', 'triceps_jg_mep_iso_12_seg'}, ...
    {'biceps_jg_mep_iso_6_seg', 'triceps_jg_mep_iso_6_seg'}, ...
    {'biceps_mattp_cmep_cycle_12_seg', 'triceps_mattp_cmep_cycle_12_seg'}, ...
    {'biceps_mattp_cmep_cycle_3_seg', 'triceps_mattp_cmep_cycle_3_seg'}, ...
    {'biceps_mattp_cmep_cycle_6_seg', 'triceps_mattp_cmep_cycle_6_seg'}, ...
    {'biceps_mattp_cmep_iso_12_seg', 'triceps_mattp_cmep_iso_12_seg'}, ...
    {'biceps_mattp_cmep_iso_3_seg', 'triceps_mattp_cmep_iso_3_seg'}, ...
    {'biceps_mattp_cmep_iso_6_seg', 'triceps_mattp_cmep_iso_6_seg'}, ...
    {'biceps_mattp_mep_cycle_12_seg', 'triceps_mattp_mep_cycle_12_seg'}, ...
    {'biceps_mattp_mep_cycle_6_seg', 'triceps_mattp_mep_cycle_6_seg'}, ...
    {'biceps_mattp_mep_iso_12_seg', 'triceps_mattp_mep_iso_12_seg'}, ...
    {'biceps_mattp_mep_iso_6_seg', 'triceps_mattp_mep_iso_6_seg'}, ...    
    {'biceps_mk_cmep_cycle_12_seg', 'triceps_mk_cmep_cycle_12_seg'}, ...
    {'biceps_mk_cmep_cycle_3_seg', 'triceps_mk_cmep_cycle_3_seg'}, ...
    {'biceps_mk_cmep_cycle_6_seg', 'triceps_mk_cmep_cycle_6_seg'}, ...
    {'biceps_mk_cmep_iso_12_seg', 'triceps_mk_cmep_iso_12_seg'}, ...
    {'biceps_mk_cmep_iso_3_seg', 'triceps_mk_cmep_iso_3_seg'}, ...
    {'biceps_mk_cmep_iso_6_seg', 'triceps_mk_cmep_iso_6_seg'}, ...
    {'biceps_mk_mep_cycle_12_seg', 'triceps_mk_mep_cycle_12_seg'}, ...
    {'biceps_mk_mep_cycle_6_seg', 'triceps_mk_mep_cycle_6_seg'}, ...
    {'biceps_mk_mep_iso_12_seg', 'triceps_mk_mep_iso_12_seg'}, ...
    {'biceps_mk_mep_iso_6_seg', 'triceps_mk_mep_iso_6_seg'}, ...
    {'biceps_ps_cmep_cycle_12_seg', 'triceps_ps_cmep_cycle_12_seg'}, ...
    {'biceps_ps_cmep_cycle_3_seg', 'triceps_ps_cmep_cycle_3_seg'}, ...
    {'biceps_ps_cmep_cycle_6_seg', 'triceps_ps_cmep_cycle_6_seg'}, ...
    {'biceps_ps_cmep_iso_12_seg', 'triceps_ps_cmep_iso_12_seg'}, ...
    {'biceps_ps_cmep_iso_3_seg', 'triceps_ps_cmep_iso_3_seg'}, ...
    {'biceps_ps_cmep_iso_6_seg', 'triceps_ps_cmep_iso_6_seg'}, ...
    {'biceps_ps_mep_cycle_12_seg', 'triceps_ps_mep_cycle_12_seg'}, ...
    {'biceps_ps_mep_cycle_3_seg', 'triceps_ps_mep_cycle_3_seg'}, ...
    {'biceps_ps_mep_cycle_6_seg', 'triceps_ps_mep_cycle_6_seg'}, ...
    {'biceps_ps_mep_iso_12_seg', 'triceps_ps_mep_iso_12_seg'}, ...
    {'biceps_ps_mep_iso_6_seg', 'triceps_ps_mep_iso_6_seg'}, ...
    {'biceps_rd_cmep_cycle_12_seg', 'triceps_rd_cmep_cycle_12_seg'}, ...
    {'biceps_rd_cmep_cycle_3_seg', 'triceps_rd_cmep_cycle_3_seg'}, ...
    {'biceps_rd_cmep_cycle_6_seg', 'triceps_rd_cmep_cycle_6_seg'}, ...
    {'biceps_rd_cmep_iso_12_seg', 'triceps_rd_cmep_iso_12_seg'}, ...
    {'biceps_rd_cmep_iso_3_seg', 'triceps_rd_cmep_iso_3_seg'}, ...
    {'biceps_rd_cmep_iso_6_seg', 'triceps_rd_cmep_iso_6_seg'}, ...
    {'biceps_rd_mep_cycle_12_seg', 'triceps_rd_mep_cycle_12_seg'}, ...
    {'biceps_rd_mep_cycle_6_seg', 'triceps_rd_mep_cycle_6_seg'}, ...
    {'biceps_rd_mep_iso_12_seg', 'triceps_rd_mep_iso_12_seg'}, ...
    {'biceps_rd_mep_iso_6_seg', 'triceps_rd_mep_iso_6_seg'}, ...
    {'biceps_aa_mwave_cycle_12_seg', 'triceps_aa_mwave_cycle_12_seg'}, ...
    {'biceps_aa_mwave_cycle_3_seg', 'triceps_aa_mwave_cycle_3_seg'}, ...
    {'biceps_aa_mwave_cycle_6_seg', 'triceps_aa_mwave_cycle_6_seg'}, ...
    {'biceps_aa_mwave_iso_12_seg', 'triceps_aa_mwave_iso_12_seg'}, ...
    {'biceps_aa_mwave_iso_3_seg', 'triceps_aa_mwave_iso_3_seg'}, ...
    {'biceps_aa_mwave_iso_6_seg', 'triceps_aa_mwave_iso_6_seg'}, ...
    {'biceps_am_mwave_cycle_12_seg', 'triceps_am_mwave_cycle_12_seg'}, ...
    {'biceps_am_mwave_cycle_3_seg', 'triceps_am_mwave_cycle_3_seg'}, ...
    {'biceps_am_mwave_cycle_6_seg', 'triceps_am_mwave_cycle_6_seg'}, ...
    {'biceps_am_mwave_iso_12_seg', 'triceps_am_mwave_iso_12_seg'}, ...
    {'biceps_am_mwave_iso_3_seg', 'triceps_am_mwave_iso_3_seg'}, ...
    {'biceps_am_mwave_iso_6_seg', 'triceps_am_mwave_iso_6_seg'}, ...
    {'biceps_bh_mwave_cycle_12_seg', 'triceps_bh_mwave_cycle_12_seg'}, ...
    {'biceps_bh_mwave_cycle_3_seg', 'triceps_bh_mwave_cycle_3_seg'}, ...
    {'biceps_bh_mwave_cycle_6_seg', 'triceps_bh_mwave_cycle_6_seg'}, ...
    {'biceps_bh_mwave_iso_12_seg', 'triceps_bh_mwave_iso_12_seg'}, ...
    {'biceps_bh_mwave_iso_3_seg', 'triceps_bh_mwave_iso_3_seg'}, ...
    {'biceps_bh_mwave_iso_6_seg', 'triceps_bh_mwave_iso_6_seg'}, ...
    {'biceps_cg_mwave_cycle_12_seg', 'triceps_cg_mwave_cycle_12_seg'}, ...
    {'biceps_cg_mwave_cycle_3_seg', 'triceps_cg_mwave_cycle_3_seg'}, ...
    {'biceps_cg_mwave_cycle_6_seg', 'triceps_cg_mwave_cycle_6_seg'}, ...
    {'biceps_cg_mwave_iso_12_seg', 'triceps_cg_mwave_iso_12_seg'}, ...
    {'biceps_cg_mwave_iso_3_seg', 'triceps_cg_mwave_iso_3_seg'}, ...
    {'biceps_cg_mwave_iso_6_seg', 'triceps_cg_mwave_iso_6_seg'}, ...
    {'biceps_jd_mwave_cycle_12_seg', 'triceps_jd_mwave_cycle_12_seg'}, ...
    {'biceps_jd_mwave_cycle_3_seg', 'triceps_jd_mwave_cycle_3_seg'}, ...
    {'biceps_jd_mwave_cycle_6_seg', 'triceps_jd_mwave_cycle_6_seg'}, ...
    {'biceps_jd_mwave_iso_12_seg', 'triceps_jd_mwave_iso_12_seg'}, ...
    {'biceps_jd_mwave_iso_3_seg', 'triceps_jd_mwave_iso_3_seg'}, ...
    {'biceps_jd_mwave_iso_6_seg', 'triceps_jd_mwave_iso_6_seg'}, ...
    {'biceps_jg_mwave_cycle_12_seg', 'triceps_jg_mwave_cycle_12_seg'}, ...
    {'biceps_jg_mwave_cycle_3_seg', 'triceps_jg_mwave_cycle_3_seg'}, ...
    {'biceps_jg_mwave_cycle_6_seg', 'triceps_jg_mwave_cycle_6_seg'}, ...
    {'biceps_jg_mwave_iso_12_seg', 'triceps_jg_mwave_iso_12_seg'}, ...
    {'biceps_jg_mwave_iso_3_seg', 'triceps_jg_mwave_iso_3_seg'}, ...
    {'biceps_jg_mwave_iso_6_seg', 'triceps_jg_mwave_iso_6_seg'}, ...
    {'biceps_mattp_mwave_cycle_12_seg', 'triceps_mattp_mwave_cycle_12_seg'}, ...
    {'biceps_mattp_mwave_cycle_3_seg', 'triceps_mattp_mwave_cycle_3_seg'}, ...
    {'biceps_mattp_mwave_cycle_6_seg', 'triceps_mattp_mwave_cycle_6_seg'}, ...
    {'biceps_mattp_mwave_iso_12_seg', 'triceps_mattp_mwave_iso_12_seg'}, ...
    {'biceps_mattp_mwave_iso_3_seg', 'triceps_mattp_mwave_iso_3_seg'}, ...
    {'biceps_mattp_mwave_iso_6_seg', 'triceps_mattp_mwave_iso_6_seg'}, ...
    {'biceps_mk_mwave_cycle_12_seg', 'triceps_mk_mwave_cycle_12_seg'}, ...
    {'biceps_mk_mwave_cycle_3_seg', 'triceps_mk_mwave_cycle_3_seg'}, ...
    {'biceps_mk_mwave_cycle_6_seg', 'triceps_mk_mwave_cycle_6_seg'}, ...
    {'biceps_mk_mwave_iso_12_seg', 'triceps_mk_mwave_iso_12_seg'}, ...
    {'biceps_mk_mwave_iso_3_seg', 'triceps_mk_mwave_iso_3_seg'}, ...
    {'biceps_mk_mwave_iso_6_seg', 'triceps_mk_mwave_iso_6_seg'}, ...
    {'biceps_ps_mwave_cycle_12_seg', 'triceps_ps_mwave_cycle_12_seg'}, ...
    {'biceps_ps_mwave_cycle_3_seg', 'triceps_ps_mwave_cycle_3_seg'}, ...
    {'biceps_ps_mwave_cycle_6_seg', 'triceps_ps_mwave_cycle_6_seg'}, ...
    {'biceps_ps_mwave_iso_12_seg', 'triceps_ps_mwave_iso_12_seg'}, ...
    {'biceps_ps_mwave_iso_3_seg', 'triceps_ps_mwave_iso_3_seg'}, ...
    {'biceps_ps_mwave_iso_6_seg', 'triceps_ps_mwave_iso_6_seg'}, ...
    {'biceps_rd_mwave_cycle_12_seg', 'triceps_rd_mwave_cycle_12_seg'}, ...
    {'biceps_rd_mwave_cycle_3_seg', 'triceps_rd_mwave_cycle_3_seg'}, ...
    {'biceps_rd_mwave_cycle_6_seg', 'triceps_rd_mwave_cycle_6_seg'}, ...
    {'biceps_rd_mwave_iso_12_seg', 'triceps_rd_mwave_iso_12_seg'}, ...
    {'biceps_rd_mwave_iso_3_seg', 'triceps_rd_mwave_iso_3_seg'}, ...
    {'biceps_rd_mwave_iso_6_seg', 'triceps_rd_mwave_iso_6_seg'}};

% locations = {'CWT\'};

data = {'aacmep12032713',...
    'aacmep3032713',...
    'aacmep6032713',...
    'aacmepiso12032713',...
    'aacmepiso3032713',...
    'aacmepiso6032713',...
    'aamep12032713', ...
    'aamep6032713', ...
    'aamepiso12032713', ...
    'aamepiso6032713', ...
    'amcmep12020713',...
    'amcmep3020713',...
    'amcmep6020713',...
    'amcmepiso12020713',...
    'amcmepiso3020713',...
    'amcmepiso6020713',...
    'ammep12020713', ...
    'ammep6020713', ...
    'ammepiso12020713', ...
    'ammepiso6020713', ...
    'bhcmep12041413',...
    'bhcmep3031413',...
    'bhcmep6031413',...
    'bhcmepiso12031413',...
    'bhcmepiso3031413',...
    'bhcmepiso6031413',...
    'bhmep12031413', ...
    'bhmep6031413', ...
    'bhmepiso12031413',...
    'bhmepiso6031413',...
    'cgcmep12020513',...
    'cgcmep3020513',...
    'cgcmep6020513',...
    'cgcmepiso12020513',...
    'cgcmepiso3020513',...
    'cgcmepiso6020513',...
    'cgmep12020513', ...
    'cgmep6020513', ...
    'cgmepiso12020513', ...
    'cgmepiso6020513', ...
    'jdcmep12040813',...
    'jdcmep3040813',...
    'jdcmep6040813',...
    'jdcmepiso12040813',...
    'jdcmepiso3040813',...
    'jdcmepiso6040813',...
    'jdmep12040813', ...
    'jdmep6040813', ...
    'jdmepiso12040813', ...
    'jdmepiso6040813', ...
    'jgcmep12012413',...
    'jgcmep3012413',...
    'jgcmep6012413',...
    'jgcmepiso12012413',...
    'jgcmepiso3012413',...
    'jgcmepiso6012413',...
    'jgmep12012413', ...
    'jgmep6012413', ...
    'jgmepiso12012413',...
    'jgmepiso6012413',...
    'mattpcmep12041713',...
    'mattpcmep3041713',...
    'mattpcmep6041713',...
    'mattpcmepiso12041713',...
    'mattpcmepiso3041713',...
    'mattpcmepiso6041713', ...
    'mattpmep12041713', ...
    'mattpmep6041713', ...
    'mattpmepiso12041713', ...
    'mattpmepiso6041713', ...    
    'mkcmep12031913',...
    'mkcmep3031913',...
    'mkcmep6031913',...
    'mkcmepiso12031913',...
    'mkcmepiso3031913',...
    'mkcmepiso6031913',...
    'mkmep12031913', ...
    'mkmep6031913', ...
    'mkmepiso12031913',...
    'mkmepiso6031913',...
    'pscmep12032013',...
    'pscmep3032013',...
    'pscmep6032013',...
    'pscmepiso12032013',...
    'pscmepiso3032013',...
    'pscmepiso6032013',...
    'psmep12032013', ...
    'psmep3032013', ...
    'psmep6032013', ...
    'psmepiso12032013', ...
    'psmepiso6032013', ...
    'rdcmep12032113',...
    'rdcmep3032113',...
    'rdcmep6032113',...
    'rdcmepiso12032113',...
    'rdcmepiso3032113',...
    'rdcmepiso6032113'...
    'rdmep12032113', ...
    'rdmep6032113', ...
    'rdmepiso12032113', ...
    'rdmepiso6032113', ...
    'aamwave12032713', ...
    'aamwave3032713', ...
    'aamwave6032713', ...
    'aamwaveiso12032713', ...
    'aamwaveiso3032713', ...
    'aamwaveiso6032713', ...
    'ammwave12020713', ...
    'ammwave3020713', ...
    'ammwave6020713', ...
    'ammwaveiso12020713', ...
    'ammwaveiso3020713', ...
    'ammwaveiso6020713', ...
    'bhmwave12031413', ...
    'bhmwave3031413', ...
    'bhmwave6031413', ...
    'bhmwaveiso12031413', ...
    'bhmwaveiso3031413', ...
    'bhmwaveiso6031413', ...
    'cgmwave12020513', ...
    'cgmwave3020513', ...
    'cgmwave6020513', ...
    'cgmwaveiso12020513', ...
    'cgmwaveiso3020513', ...
    'cgmwaveiso6020513', ...
    'jdmwave12040813', ...
    'jdmwave3040813', ...
    'jdmwave6040813', ...
    'jdmwaveiso12040813', ...
    'jdmwaveiso3040813', ...
    'jdmwaveiso6040813', ...
    'jgmwave12012413', ...
    'jgmwave3012413', ...
    'jgmwave6012413', ...
    'jgmwaveiso12012414', ...
    'jgmwaveiso3012414', ...
    'jgmwaveiso6012413', ...
    'mattpmwave12041713', ...
    'mattpmwave3041713', ...
    'mattpmwave6041713', ...
    'mattpmwaveiso12041713', ...
    'mattpmwaveiso3041713', ...
    'mattpmwaveiso6041713', ...
    'mkmwave12031913', ...
    'mkmwave3031913', ...
    'mkmwave6031913', ...
    'mkmwaveiso12031913', ...
    'mkmwaveiso3031913', ...
    'mkmwaveiso6031913', ...
    'psmwave12032013', ...
    'psmwave3032013', ...
    'psmwave6032013', ...
    'psmwaveiso12032013', ...
    'psmwaveiso3032013', ...
    'psmwaveiso6032013', ...
    'rdmwave12032113', ...
    'rdmwave3032113', ...
    'rdmwave6032113', ...
    'rdmwaveiso12032113', ...
    'rdmwaveiso3032113', ...
    'rdmwaveiso6032113'};

% Prompt for folder containing .txt files
inputdir = uigetdir(pwd,'Select folder containing .txt files');

datafiles = {[inputdir, '\aa_cmep12_032713.txt'], ...
    [inputdir, '\aa_cmep3_032713.txt'], ...
    [inputdir, '\aa_cmep6_032713.txt'], ...
    [inputdir, '\aa_cmepiso12_032713.txt'], ...
    [inputdir, '\aa_cmepiso3_032713.txt'], ...
    [inputdir, '\aa_cmepiso6_032713.txt'], ...
    [inputdir, '\aa_mep12_032713.txt'], ...
    [inputdir, '\aa_mep6_032713.txt'], ...
    [inputdir, '\aa_mepiso12_032713.txt'], ...
    [inputdir, '\aa_mepiso6_032713.txt'], ...
    [inputdir, '\am_cmep12_020713.txt'], ...
    [inputdir, '\am_cmep3_020713.txt'], ...
    [inputdir, '\am_cmep6_020713.txt'], ...
    [inputdir, '\am_cmepiso12_020713.txt'], ...
    [inputdir, '\am_cmepiso3_020713.txt'], ...
    [inputdir, '\am_cmepiso6_020713.txt'], ...
    [inputdir, '\am_mep12_020713.txt'], ...
    [inputdir, '\am_mep6_020713.txt'], ...
    [inputdir, '\am_mepiso12_020713.txt'], ...
    [inputdir, '\am_mepiso6_020713.txt'], ...
    [inputdir, '\bh_cmep12_041413.txt'], ...
    [inputdir, '\bh_cmep3_031413.txt'], ...
    [inputdir, '\bh_cmep6_031413.txt'], ...
    [inputdir, '\bh_cmepiso12_031413.txt'], ...
    [inputdir, '\bh_cmepiso3_031413.txt'], ...
    [inputdir, '\bh_cmepiso6_031413.txt'], ...
    [inputdir, '\bh_mep12_031413.txt'], ...
    [inputdir, '\bh_mep6_031413.txt'], ...
    [inputdir, '\bh_mepiso12_031413.txt'], ...
    [inputdir, '\bh_mepiso6_031413.txt'], ...
    [inputdir, '\cg_cmep12_020513.txt'], ...
    [inputdir, '\cg_cmep3_020513.txt'], ...
    [inputdir, '\cg_cmep6_020513.txt'], ...
    [inputdir, '\cg_cmepiso12_020513.txt'], ...
    [inputdir, '\cg_cmepiso3_020513.txt'], ...
    [inputdir, '\cg_cmepiso6_020513.txt'], ...
    [inputdir, '\cg_mep12_020513.txt'], ...
    [inputdir, '\cg_mep6_020513.txt'], ...
    [inputdir, '\cg_mepiso12_020513.txt'], ...
    [inputdir, '\cg_mepiso6_020513.txt'], ...
    [inputdir, '\jd_cmep12_040813.txt'], ...
    [inputdir, '\jd_cmep3_040813.txt'], ...
    [inputdir, '\jd_cmep6_040813.txt'], ...
    [inputdir, '\jd_cmepiso12_040813.txt'], ...
    [inputdir, '\jd_cmepiso3_040813.txt'], ...
    [inputdir, '\jd_cmepiso6_040813.txt'], ...
    [inputdir, '\jd_mep12_040813.txt'], ...
    [inputdir, '\jd_mep6_040813.txt'], ...
    [inputdir, '\jd_mepiso12_040813.txt'], ...
    [inputdir, '\jd_mepiso6_040813.txt'], ...
    [inputdir, '\jg_cmep12_012413.txt'], ...
    [inputdir, '\jg_cmep3_012413.txt'], ...
    [inputdir, '\jg_cmep6_012413.txt'], ...
    [inputdir, '\jg_cmepiso12_012413.txt'], ...
    [inputdir, '\jg_cmepiso3_012413.txt'], ...
    [inputdir, '\jg_cmepiso6_012413.txt'], ...
    [inputdir, '\jg_mep12_012413.txt'], ...
    [inputdir, '\jg_mep6_012413.txt'], ...
    [inputdir, '\jg_mepiso12_012413.txt'], ...
    [inputdir, '\jg_mepiso6_012413.txt'], ...
    [inputdir, '\mattp_cmep12_041713.txt'], ...
    [inputdir, '\mattp_cmep3_041713.txt'], ...
    [inputdir, '\mattp_cmep6_041713.txt'], ...
    [inputdir, '\mattp_cmepiso12_041713.txt'], ...
    [inputdir, '\mattp_cmepiso3_041713.txt'], ...
    [inputdir, '\mattp_cmepiso6_041713.txt'], ...
    [inputdir, '\mattp_mep12_041713.txt'], ...
    [inputdir, '\mattp_mep6_041713.txt'], ...
    [inputdir, '\mattp_mepiso12_041713.txt'], ...
    [inputdir, '\mattp_mepiso6_041713.txt'], ...
    [inputdir, '\mk_cmep12_031913.txt'], ...
    [inputdir, '\mk_cmep3_031913.txt'], ...
    [inputdir, '\mk_cmep6_031913.txt'], ...
    [inputdir, '\mk_cmepiso12_031913.txt'], ...
    [inputdir, '\mk_cmepiso3_031913.txt'], ...
    [inputdir, '\mk_cmepiso6_031913.txt'], ...
    [inputdir, '\mk_mep12_031913.txt'], ...
    [inputdir, '\mk_mep6_031913.txt'], ...
    [inputdir, '\mk_mepiso12_031913.txt'], ...
    [inputdir, '\mk_mepiso6_031913.txt'], ...
    [inputdir, '\ps_cmep12_032013.txt'], ...
    [inputdir, '\ps_cmep3_032013.txt'], ...
    [inputdir, '\ps_cmep6_032013.txt'], ...
    [inputdir, '\ps_cmepiso12_032013.txt'], ...
    [inputdir, '\ps_cmepiso3_032013.txt'], ...
    [inputdir, '\ps_cmepiso6_032013.txt'], ...
    [inputdir, '\ps_mep12_032013.txt'], ...
    [inputdir, '\ps_mep3_032013.txt'], ...
    [inputdir, '\ps_mep6_032013.txt'], ...
    [inputdir, '\ps_mepiso12_032013.txt'], ...
    [inputdir, '\ps_mepiso6_032013.txt'], ...
    [inputdir, '\rd_cmep12_032113.txt'], ...
    [inputdir, '\rd_cmep3_032113.txt'], ...
    [inputdir, '\rd_cmep6_032113.txt'], ...
    [inputdir, '\rd_cmepiso12_032113.txt'], ...
    [inputdir, '\rd_cmepiso3_032113.txt'], ...
    [inputdir, '\rd_cmepiso6_032113.txt'], ...
    [inputdir, '\rd_mep12_032113.txt'], ...
    [inputdir, '\rd_mep6_032113.txt'], ...
    [inputdir, '\rd_mepiso12_032113.txt'], ...
    [inputdir, '\rd_mepiso6_032113.txt'], ...
    [inputdir, '\aa_mwave12_032713.txt'], ...
    [inputdir, '\aa_mwave3_032713.txt'], ...
    [inputdir, '\aa_mwave6_032713.txt'], ...
    [inputdir, '\aa_mwaveiso12_032713.txt'], ...
    [inputdir, '\aa_mwaveiso3_032713.txt'], ...
    [inputdir, '\aa_mwaveiso6_032713.txt'], ...
    [inputdir, '\am_mwave12_020713.txt'], ...
    [inputdir, '\am_mwave3_020713.txt'], ...
    [inputdir, '\am_mwave6_020713.txt'], ...
    [inputdir, '\am_mwaveiso12_020713.txt'], ...
    [inputdir, '\am_mwaveiso3_020713.txt'], ...
    [inputdir, '\am_mwaveiso6_020713.txt'], ...
    [inputdir, '\bh_mwave12_031413.txt'], ...
    [inputdir, '\bh_mwave3_031413.txt'], ...
    [inputdir, '\bh_mwave6_031413.txt'], ...
    [inputdir, '\bh_mwaveiso12_031413.txt'], ...
    [inputdir, '\bh_mwaveiso3_031413.txt'], ...
    [inputdir, '\bh_mwaveiso6_031413.txt'], ...
    [inputdir, '\cg_mwave12_020513.txt'], ...
    [inputdir, '\cg_mwave3_020513.txt'], ...
    [inputdir, '\cg_mwave6_020513.txt'], ...
    [inputdir, '\cg_mwaveiso12_020513.txt'], ...
    [inputdir, '\cg_mwaveiso3_020513.txt'], ...
    [inputdir, '\cg_mwaveiso6_020513.txt'], ...
    [inputdir, '\jd_mwave12_040813.txt'], ...
    [inputdir, '\jd_mwave3_040813.txt'], ...
    [inputdir, '\jd_mwave6_040813.txt'], ...
    [inputdir, '\jd_mwaveiso12_040813.txt'], ...
    [inputdir, '\jd_mwaveiso3_040813.txt'], ...
    [inputdir, '\jd_mwaveiso6_040813.txt'], ...
    [inputdir, '\jg_mwave12_012413.txt'], ...
    [inputdir, '\jg_mwave3_012413.txt'], ...
    [inputdir, '\jg_mwave6_012413.txt'], ...
    [inputdir, '\jg_mwaveiso12_012414.txt'], ...
    [inputdir, '\jg_mwaveiso3_012414.txt'], ...
    [inputdir, '\jg_mwaveiso6_012413.txt'], ...
    [inputdir, '\mattp_mwave12_041713.txt'], ...
    [inputdir, '\mattp_mwave3_041713.txt'], ...
    [inputdir, '\mattp_mwave6_041713.txt'], ...
    [inputdir, '\mattp_mwaveiso12_041713.txt'], ...
    [inputdir, '\mattp_mwaveiso3_041713.txt'], ...
    [inputdir, '\mattp_mwaveiso6_041713.txt'], ...
    [inputdir, '\mk_mwave12_031913.txt'], ...
    [inputdir, '\mk_mwave3_031913.txt'], ...
    [inputdir, '\mk_mwave6_031913.txt'], ...
    [inputdir, '\mk_mwaveiso12_031913.txt'], ...
    [inputdir, '\mk_mwaveiso3_031913.txt'], ...
    [inputdir, '\mk_mwaveiso6_031913.txt'], ...
    [inputdir, '\ps_mwave12_032013.txt'], ...
    [inputdir, '\ps_mwave3_032013.txt'], ...
    [inputdir, '\ps_mwave6_032013.txt'], ...
    [inputdir, '\ps_mwaveiso12_032013.txt'], ...
    [inputdir, '\ps_mwaveiso3_032013.txt'], ...
    [inputdir, '\ps_mwaveiso6_032013.txt'], ...
    [inputdir, '\rd_mwave12_032113.txt'], ...
    [inputdir, '\rd_mwave3_032113.txt'], ...
    [inputdir, '\rd_mwave6_032113.txt'], ...
    [inputdir, '\rd_mwaveiso12_032113.txt'], ...
    [inputdir, '\rd_mwaveiso3_032113.txt'], ...
    [inputdir, '\rd_mwaveiso6_032113.txt']};


inputfiles = {'aa.csv', ...
    'am.csv', ...
    'bh.csv', ...
    'cg.csv', ...
    'jd.csv', ...
    'jg.csv', ...
    'mattp.csv', ...
    'mk.csv', ...
    'ps.csv', ...
    'rd.csv'};

% 'biceps_cmep12.csv', ...
%             'biceps_cmep3.csv', ...
%             'biceps_cmep6.csv', ...
%             'biceps_cmepiso12.csv', ...
%             'biceps_cmepiso3.csv', ...
%             'biceps_cmepiso6.csv', ...
%             'biceps_mep12.csv', ...
%             'biceps_mep3.csv', ...
%             'biceps_mep6.csv', ...
%             'biceps_mepiso12.csv', ...
%             'biceps_mepiso6.csv', ...
%             'biceps_mwave12.csv', ...
%             'biceps_mwave3.csv', ...
%             'biceps_mwave6.csv', ...
%             'triceps_cmep12.csv', ...
%             'triceps_cmep3.csv', ...
%             'triceps_cmep6.csv', ...
%             'triceps_cmepiso12.csv', ...
%             'triceps_cmepiso3.csv', ...
%             'triceps_cmepiso6.csv', ...
%             'triceps_mep12.csv', ...
%             'triceps_mep3.csv', ...
%             'triceps_mep6.csv', ...
%             'triceps_mepiso12.csv', ...
%             'triceps_mepiso6.csv', ...
%             'triceps_mwave12.csv', ...
%             'triceps_mwave3.csv', ...
%             'triceps_mwave6.csv'};


samplingRate = 5000; %Hz

for s=1:size(subjects,2)
    subset = subjects{s};
    
    try
        A = importdata(datafiles{s}, ',');              %   Import data, using comma as separator
    catch
        disp([datafiles{s}, ': datafile not available.']);
       continue
    end
        
        assignin('base', data{s}, A);                   %   Assign data A to variable whose name is stored in data{s}, in workspace 'base'
    
    file = eval(data{s});
    for ind=1:size(file.colheaders,2)
        rerepstring = char(file.colheaders{ind});
        rerepstring = rerepstring(2:end-1);
        if strcmp(rerepstring,'3 biceps')           %   compare names to sort
            bicepcol = ind;
        elseif strcmp(rerepstring,'2 triceps')
            tricepcol = ind;
        end
    end
    
    assignin('base', subjects{s}{1}, pieces(file.data(:,bicepcol)));
    assignin('base', subjects{s}{2}, pieces(file.data(:,tricepcol)));
    
    %     for sub=1:size(subset,2)
    %         a = eval(subset{sub});
    %         spec_avg(a,subset{sub},locations{1}, samplingRate);
    %     end
end

clear data datafiles ind file rerepstring subset subjects bicepcol tricepcol locations s A a
clear aacmep3032713 aacmepiso3032713 amcmep3020713 amcmepiso3020713 bhcmep3031413 bhcmepiso3031413 cgcmep3020513 cgcmepiso3020513 jdcmep3040813 jdcmepiso3040813 jgcmep3012413 jgcmepiso3012413 mattpcmep3041713 mattpcmepiso3041713 mkcmep3031913 mkcmepiso3031913 pscmep3032013 pscmepiso3032013 rdcmep3032113 rdcmepiso3032113 aacmep6032713 aacmepiso6032713 amcmep6020713 amcmepiso6020713 bhcmep6031413 bhcmepiso6031413 cgcmep6020513 cgcmepiso6020513 jdcmep6040813 jdcmepiso6040813 jgcmep6012413 jgcmepiso6012413 mattpcmep6041713 mattpcmepiso6041713 mkcmep6031913 mkcmepiso6031913 pscmep6032013 pscmepiso6032013 rdcmep6032113 rdcmepiso6032113 aacmep12032713 aacmepiso12032713 amcmep12020713 amcmepiso12020713 bhcmep12041413 bhcmepiso12031413 cgcmep12020513 cgcmepiso12020513 jdcmep12040813 jdcmepiso12040813 jgcmep12012413 jgcmepiso12012413 mattpcmep12041713 mattpcmepiso12041713 mkcmep12031913 mkcmepiso12031913 pscmep12032013 pscmepiso12032013 rdcmep12032113 rdcmepiso12032113 aamep6032713 aamepiso6032713 ammep6020713 ammepiso6020713 bhmep6031413 bhmepiso6031413 cgmep6020513 cgmepiso6020513 jdmep6040813 jdmepiso6040813 jgmep6012413 jgmepiso6012413 mattpmep6041713 mattpcmepiso6041713 mkmep6031913 mkmepiso6031913 psmep6032013 psmepiso6032013 rdmep6032113 rdmepiso6032113 pscmep3032013 pscmep6032013 pscmep12032013 psmep3032013 psmep12032013 psmwave3032013 psmwave6032013 psmwave12032013 aamep12032713 aamepiso12032713 ammep12020713 ammepiso12020713 bhmep12031413 bhmepiso12031413 cgmep12020513 cgmepiso12020513 jdmep12040813 jdmepiso12040813 jgmep12012413 jgmepiso12012413 mattpmep12041713 mattpmepiso12041713 mkmep12031913 mkmepiso12031913 psmepiso12032013 rdmep12032113 rdmepiso12032113
clear mattpmepiso6041713
clear aamwave12032713 aamwave3032713 aamwave6032713 aamwaveiso12032713 aamwaveiso3032713 aamwaveiso6032713 ammwave12020713 ammwave3020713 ammwave6020713 ammwaveiso12020713 ammwaveiso3020713 ammwaveiso6020713 bhmwave12031413 bhmwave3031413 bhmwave6031413 bhmwaveiso12031413 bhmwaveiso3031413 bhmwaveiso6031413 cgmwave12020513 cgmwave3020513 cgmwave6020513 cgmwaveiso12020513 cgmwaveiso3020513 cgmwaveiso6020513 jdmwave12040813 jdmwave3040813 jdmwave6040813 jdmwaveiso12040813 jdmwaveiso3040813 jdmwaveiso6040813 jgmwave12012413 jgmwave3012413 jgmwave6012413 jgmwaveiso12012414 jgmwaveiso3012414 jgmwaveiso6012413 mattpmwave12041713 mattpmwave3041713 mattpmwave6041713 mattpmwaveiso12041713 mattpmwaveiso3041713 mattpmwaveiso6041713 mkmwave12031913 mkmwave3031913 mkmwave6031913 mkmwaveiso12031913 mkmwaveiso3031913 mkmwaveiso6031913 psmwave12032013 psmwave3032013 psmwave6032013 psmwaveiso12032013 psmwaveiso3032013 psmwaveiso6032013 rdmwave12032113 rdmwave3032113 rdmwave6032113 rdmwaveiso12032113 rdmwaveiso3032113 rdmwaveiso6032113

% Save the workspace
save([pwd, '\Workspace.mat'])

function [seg] = pieces(data_sep_by_NaN)

count = 0;
for i = 2:size(data_sep_by_NaN,1)
    if ~isnan(data_sep_by_NaN(i,1))
        if isnan(data_sep_by_NaN(i-1,1))
            count = count + 1;
        end
    end
end

seg = cell(count,1);
k = 1; p = 0; q =0;

for i = 2:size(data_sep_by_NaN,1)
    if isnan(data_sep_by_NaN(i,1)) || i == size(data_sep_by_NaN,1)
        if ~isnan(data_sep_by_NaN(i-1,1))
            p = p+1;
            seg{p,1} = data_sep_by_NaN(k:i-1,1);
        end
    end
    if ~isnan(data_sep_by_NaN(i,1))
        if isnan(data_sep_by_NaN(i-1,1))
            k = i; q = q+1;
        end
    end
end


end