#!/bin/bash
#$ -t 1-10
#$ -N $SGE_TASK_ID
# Import random generated with "bash sh1_createUIDs.sh"
source ./sh_UIDs.sh
# Make logs folder if it doesnt already exist
mkdir logs -p
# Run in current working directory
#$ -cwd -V
# Set a 24 hour limit
#$ -l h_rt=24:0:00 
#$ -l h_vmem=24G
# Get email at start and end of the job
#$ -m be
# Load matlab module
module unload matlab
module load matlab/R2020b
# To use matlabs multiprocessing via parfor, where last number is number of cores (max 40)
unset GOMP_CPU_AFFINITY
#$ -pe smp 8
# run matlab using command file
# -nodisplay flag should be given to suppress graphics
# run takes the following args: run(subjectno*, bandsno*, UID*, currentDate, analysis, sampFreq, wave, FAST, rect) *= required
matlab -nodisplay -nosplash -nodesktop -logfile ./logs/$currentDate_$UID3.log -r "run($SGE_TASK_ID,3,$UID3,'$currentDate',1)"